# Webhook Alerts for Cypher Business

Now businesses can configure webhooks under Settings -> Alerts -> Setup Webhook menu on the top right.&#x20;

Configure a hook URL which can accept HTTP POST Request with the following payloads.&#x20;

## Sample Payloads

### **Different Event Types**

`type: 'DEBIT' | 'CREDIT' | 'REFUND' | 'DECLINE' | 'LOW_BALANCE_ALERT' | 'DAILY_BALANCE_ALERT'`

### Debit Response<br>

```
JSON
{
	id: string,
	type: string,
	amount: number,
	date: string(ISO format),
	isSettled: boolean,
	title: string,
	category: string,
	last4: string,
	closingBalance: number,
	employeeName: string,
};
```

### Credit Response

```
JSON
{
	id: string,
	type: string,
	amount: number,
	date: string(ISO format),
	title: string,
	closingBalance: number,
	tokenData: {
		chain: string,
		hash: string,
		symbol: string,
		tokenNos: string,
	}
}
```

### Refund Response

```
JSON
{
	id: string,
	type: string,
	amount: number,
	date: string(ISO format),
	isSettled: boolean,
	title: string,
	category: string,
	last4: string,
	closingBalance: number,
	employeeName: string,
}
```

### Decline Response

```
JSON
{
	id: string,
	type: string,
	amount: number,
	date: string(ISO format),
	title: string,
	category: string,
	last4: string,
	closingBalance: number,
	employeeName: string,
	reason: string,
}
```

### Low Balance Alert Response

```
JSON
{
	type: string,
	date: string(ISO format),
	closingBalance: number,
	lowBalanceLimit: number,
	businessName: string,
}
```

### Daily Balance Alert Response

```
JSON
{
	type: string,
	date: string(ISO format),
	closingBalance: number,
	businessName: string,
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.cypherwallet.io/webhook-alerts-for-cypher-business.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
